<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Wed Aug 14 15:46:14 CEST 2019 -->
<title>BinaryEvaluationSet (dblp.datatools 1.0-SNAPSHOT API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-08-14">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BinaryEvaluationSet (dblp.datatools 1.0-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bous.philipp.dblp.datatools.util.machinelearning.evaluation</a></div>
<h2 title="Class BinaryEvaluationSet" class="title">Class BinaryEvaluationSet</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>bous.philipp.dblp.datatools.util.machinelearning.evaluation.BinaryEvaluationSet</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">BinaryEvaluationSet</span>
extends java.lang.Object</pre>
<div class="block">Primarily used by <a href="BinaryClassificationEvaluator.html" title="class in bous.philipp.dblp.datatools.util.machinelearning.evaluation"><code>BinaryClassificationEvaluator</code></a> to suit more complex
 evaluation-scenarios like cross-validation but could be used standalone for
 evaluation of a single set with printing of a performance report.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">BinaryEvaluationSet</a></span>()</code></th>
<td class="colLast">
<div class="block">This standard-constructor will instanciate the BinaryEvaluationSet with
 a default classificationThreshold of 0.5 and a value-output-precision of
 4 digits behind the comma.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(double)">BinaryEvaluationSet</a></span>&#8203;(double&nbsp;classificationThreshold)</code></th>
<td class="colLast">
<div class="block">Allows specifying a custom classification-threshold.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addWeightedGainConfig(double,double,double,double)">addWeightedGainConfig</a></span>&#8203;(double&nbsp;tprWeight,
                     double&nbsp;tnrWeight,
                     double&nbsp;probPos,
                     double&nbsp;probNeg)</code></th>
<td class="colLast">
<div class="block">Adds a new WeightedGainConfig to this instance.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#evaluate(double,double)">evaluate</a></span>&#8203;(double&nbsp;actualClass,
        double&nbsp;score)</code></th>
<td class="colLast">
<div class="block">Compares a given actual class and a given score and determines with the given classification threshold
 for the associated BinaryClassificationEvaluator instance, if the resulting classification would be correct
 or false and does the necessary incrementation and saving of values for the final evaluation of this test-set.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAccuracy()">getAccuracy</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.Integer&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getActualClasses()">getActualClasses</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAuc()">getAuc</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getF1Score()">getF1Score</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getFnr()">getFnr</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getFpr()">getFpr</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMatthewsCorCof()">getMatthewsCorCof</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNegativePredictiveValue()">getNegativePredictiveValue</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNegatives()">getNegatives</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPositives()">getPositives</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPrecision()">getPrecision</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.Double&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPredictedScores()">getPredictedScores</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTnr()">getTnr</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTpr()">getTpr</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.Double&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getWeightedGainValues()">getWeightedGainValues</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="WeightedGainWeightingInfo.html" title="class in bous.philipp.dblp.datatools.util.machinelearning.evaluation">WeightedGainWeightingInfo</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getWeightingInfos()">getWeightingInfos</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#hasOnlyZeroCounts()">hasOnlyZeroCounts</a></span>()</code></th>
<td class="colLast">
<div class="block">Checks if all 4 main-fields of the confusion-matrix for this instance are currently set to 0.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#hasScores()">hasScores</a></span>()</code></th>
<td class="colLast">
<div class="block">Checks if this instance holds a minimum of 1 score.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#performanceReport()">performanceReport</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns a String containing a performance report that features:

 * tpr
 * tnr
 * precision
 * negative predictive value
 * accuracy
 * F1-score
 * Matthews Correlation Coefficient

 beside basic information about the EvaluationSet.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#performanceReport(boolean,boolean)">performanceReport</a></span>&#8203;(boolean&nbsp;printTestSetMetadata,
                 boolean&nbsp;printBasicTestResults)</code></th>
<td class="colLast">
<div class="block">Prints a performance report similar to the parameterless version of the method but lets the user specify if
 metadata and basic test results should be printed.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#recalculateConfusionMatrixForNewThreshold(double)">recalculateConfusionMatrixForNewThreshold</a></span>&#8203;(double&nbsp;threshold)</code></th>
<td class="colLast">
<div class="block">Sets the classification-threshold of this EvaluationSet to a new given value and recalculates the confusion-matrix for this instance based on the new threshold.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#resetConfusionMatrix()">resetConfusionMatrix</a></span>()</code></th>
<td class="colLast">
<div class="block">Sets all 4 main fields of the confusion-matrix represented by this instance back to 0.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setActualClasses(java.util.List)">setActualClasses</a></span>&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;actualClasses)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAuc(double)">setAuc</a></span>&#8203;(double&nbsp;auc)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPredictedScores(java.util.List)">setPredictedScores</a></span>&#8203;(java.util.List&lt;java.lang.Double&gt;&nbsp;predictedScores)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setWeightedGainValues(java.util.List)">setWeightedGainValues</a></span>&#8203;(java.util.List&lt;java.lang.Double&gt;&nbsp;weightedGainValues)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setWeightingInfos(java.util.List)">setWeightingInfos</a></span>&#8203;(java.util.List&lt;<a href="WeightedGainWeightingInfo.html" title="class in bous.philipp.dblp.datatools.util.machinelearning.evaluation">WeightedGainWeightingInfo</a>&gt;&nbsp;weightingInfos)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateWeightedGainValues()">updateWeightedGainValues</a></span>()</code></th>
<td class="colLast">
<div class="block">Updates the weighted gain value for each existing weighted gain config, which means basically all gain values are recalculated on the currently given TPR and TNR for this instance.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#writeScoreFiles(java.lang.String,java.lang.String)">writeScoreFiles</a></span>&#8203;(java.lang.String&nbsp;destinationFolder,
               java.lang.String&nbsp;filenamePrefix)</code></th>
<td class="colLast">
<div class="block">If this instance contains scores and actual classes this method writes one dat-file containing all scores for
 actual positive examples and one file for actual negative examples indicated by suffix "_SCORES_POSITIVES"/"_SCORES_NEGATIVES".</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BinaryEvaluationSet</h4>
<pre>public&nbsp;BinaryEvaluationSet()</pre>
<div class="block">This standard-constructor will instanciate the BinaryEvaluationSet with
 a default classificationThreshold of 0.5 and a value-output-precision of
 4 digits behind the comma.</div>
</li>
</ul>
<a id="&lt;init&gt;(double)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BinaryEvaluationSet</h4>
<pre>public&nbsp;BinaryEvaluationSet&#8203;(double&nbsp;classificationThreshold)</pre>
<div class="block">Allows specifying a custom classification-threshold.
 Value-output-precision will be set to 4 digits behind the comma.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>classificationThreshold</code> - custom classification threshold</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="writeScoreFiles(java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeScoreFiles</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;writeScoreFiles&#8203;(java.lang.String&nbsp;destinationFolder,
                            java.lang.String&nbsp;filenamePrefix)</pre>
<div class="block">If this instance contains scores and actual classes this method writes one dat-file containing all scores for
 actual positive examples and one file for actual negative examples indicated by suffix "_SCORES_POSITIVES"/"_SCORES_NEGATIVES".
 WARNING: this class doesn't prevent inserting arbitrary values as actual classes; in this method everything
 that does not have actual class value 1 will be treated as negative example while actual class value 1 is
 treated as positive example.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>destinationFolder</code> - the folder in which the files should be saved</dd>
<dd><code>filenamePrefix</code> - prefix that determines the main filename-part before "_SCORES_POSITIVES.dat"/"_SCORES_NEGATIVES.dat"</dd>
</dl>
</li>
</ul>
<a id="evaluate(double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>evaluate</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;evaluate&#8203;(double&nbsp;actualClass,
                        double&nbsp;score)</pre>
<div class="block">Compares a given actual class and a given score and determines with the given classification threshold
 for the associated BinaryClassificationEvaluator instance, if the resulting classification would be correct
 or false and does the necessary incrementation and saving of values for the final evaluation of this test-set.
 Returns true if classification was correct, false if not for convenience of user-code.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>actualClass</code> - the actual class</dd>
<dd><code>score</code> - the score</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if classification was correct, false if not</dd>
</dl>
</li>
</ul>
<a id="hasScores()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasScores</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;hasScores()</pre>
<div class="block">Checks if this instance holds a minimum of 1 score. (Doesn't perform integrity checks with number of actual classes given.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if this.predictedScores != null and has at least 1 item; false else</dd>
</dl>
</li>
</ul>
<a id="hasOnlyZeroCounts()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasOnlyZeroCounts</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;hasOnlyZeroCounts()</pre>
<div class="block">Checks if all 4 main-fields of the confusion-matrix for this instance are currently set to 0.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if all 4 main-fields are 0; false else</dd>
</dl>
</li>
</ul>
<a id="addWeightedGainConfig(double,double,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addWeightedGainConfig</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addWeightedGainConfig&#8203;(double&nbsp;tprWeight,
                                  double&nbsp;tnrWeight,
                                  double&nbsp;probPos,
                                  double&nbsp;probNeg)</pre>
<div class="block">Adds a new WeightedGainConfig to this instance. Calling one of the performanceReport methods will include
 estimated WeightedGain values for each configuration that is present in this class.
 Adding additional configs is especially useful to estimate a weighted gain on populations that have a different distribution than
 validation-sets.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tprWeight</code> - weight that should be applied to the TPR</dd>
<dd><code>tnrWeight</code> - weight that should be applied to the TNR</dd>
<dd><code>probPos</code> - an estimation of the probability to encounter a positive example</dd>
<dd><code>probNeg</code> - an estimation of the probability to encounter a negative example</dd>
</dl>
</li>
</ul>
<a id="updateWeightedGainValues()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateWeightedGainValues</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;updateWeightedGainValues()</pre>
<div class="block">Updates the weighted gain value for each existing weighted gain config, which means basically all gain values are recalculated on the currently given TPR and TNR for this instance.</div>
</li>
</ul>
<a id="recalculateConfusionMatrixForNewThreshold(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>recalculateConfusionMatrixForNewThreshold</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;recalculateConfusionMatrixForNewThreshold&#8203;(double&nbsp;threshold)</pre>
<div class="block">Sets the classification-threshold of this EvaluationSet to a new given value and recalculates the confusion-matrix for this instance based on the new threshold.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>threshold</code> - the new threshold.</dd>
</dl>
</li>
</ul>
<a id="resetConfusionMatrix()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resetConfusionMatrix</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;resetConfusionMatrix()</pre>
<div class="block">Sets all 4 main fields of the confusion-matrix represented by this instance back to 0.</div>
</li>
</ul>
<a id="getMatthewsCorCof()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMatthewsCorCof</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getMatthewsCorCof()</pre>
</li>
</ul>
<a id="performanceReport()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>performanceReport</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;performanceReport()</pre>
<div class="block">Returns a String containing a performance report that features:

 * tpr
 * tnr
 * precision
 * negative predictive value
 * accuracy
 * F1-score
 * Matthews Correlation Coefficient

 beside basic information about the EvaluationSet.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the performance-report-String</dd>
</dl>
</li>
</ul>
<a id="performanceReport(boolean,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>performanceReport</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;performanceReport&#8203;(boolean&nbsp;printTestSetMetadata,
                                          boolean&nbsp;printBasicTestResults)</pre>
<div class="block">Prints a performance report similar to the parameterless version of the method but lets the user specify if
 metadata and basic test results should be printed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>printTestSetMetadata</code> - if true additional information about the test-set will be printed</dd>
<dd><code>printBasicTestResults</code> - if true basic test results will be printed (like total number of true positives and so on)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the performance report</dd>
</dl>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a id="getPositives()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPositives</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getPositives()</pre>
</li>
</ul>
<a id="getNegatives()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNegatives</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getNegatives()</pre>
</li>
</ul>
<a id="getTpr()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTpr</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getTpr()</pre>
</li>
</ul>
<a id="getFpr()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFpr</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getFpr()</pre>
</li>
</ul>
<a id="getTnr()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTnr</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getTnr()</pre>
</li>
</ul>
<a id="getFnr()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFnr</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getFnr()</pre>
</li>
</ul>
<a id="getPrecision()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrecision</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getPrecision()</pre>
</li>
</ul>
<a id="getNegativePredictiveValue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNegativePredictiveValue</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getNegativePredictiveValue()</pre>
</li>
</ul>
<a id="getAccuracy()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAccuracy</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getAccuracy()</pre>
</li>
</ul>
<a id="getF1Score()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getF1Score</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getF1Score()</pre>
</li>
</ul>
<a id="getAuc()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAuc</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getAuc()</pre>
</li>
</ul>
<a id="getPredictedScores()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPredictedScores</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.lang.Double&gt;&nbsp;getPredictedScores()</pre>
</li>
</ul>
<a id="getActualClasses()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getActualClasses</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.lang.Integer&gt;&nbsp;getActualClasses()</pre>
</li>
</ul>
<a id="setAuc(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAuc</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setAuc&#8203;(double&nbsp;auc)</pre>
</li>
</ul>
<a id="getWeightedGainValues()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWeightedGainValues</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.lang.Double&gt;&nbsp;getWeightedGainValues()</pre>
</li>
</ul>
<a id="setWeightedGainValues(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWeightedGainValues</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setWeightedGainValues&#8203;(java.util.List&lt;java.lang.Double&gt;&nbsp;weightedGainValues)</pre>
</li>
</ul>
<a id="getWeightingInfos()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWeightingInfos</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="WeightedGainWeightingInfo.html" title="class in bous.philipp.dblp.datatools.util.machinelearning.evaluation">WeightedGainWeightingInfo</a>&gt;&nbsp;getWeightingInfos()</pre>
</li>
</ul>
<a id="setWeightingInfos(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWeightingInfos</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setWeightingInfos&#8203;(java.util.List&lt;<a href="WeightedGainWeightingInfo.html" title="class in bous.philipp.dblp.datatools.util.machinelearning.evaluation">WeightedGainWeightingInfo</a>&gt;&nbsp;weightingInfos)</pre>
</li>
</ul>
<a id="setPredictedScores(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPredictedScores</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setPredictedScores&#8203;(java.util.List&lt;java.lang.Double&gt;&nbsp;predictedScores)</pre>
</li>
</ul>
<a id="setActualClasses(java.util.List)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setActualClasses</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setActualClasses&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;actualClasses)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
